## Database Properties
spring:
  datasource:
    url: jdbc:h2:~/mem
    username: sa
    password: sa
    driver-class-name: org.h2.Driver
    initialization-mode: always
    data: classpath:data_test.sql

## Hibernate Properties
# The SQL dialect makes Hibernate generate better SQL for the chosen database
#pring.jpa.database-platform=org.hibernate.dialect.Oracle10gDialec
  jpa:
    properties:
      hibernate:
       format_sql: true
       dialect: org.hibernate.dialect.H2Dialect
        
# Hibernate ddl auto (create, create-drop, validate, update)
    hibernate:
      ddl-auto: create-drop
    show-sql: true

logging:
  level:
    web: TRACE
    com.tramar.sdc: TRACE
    org:
      springframework:
        web: TRACE   
  pattern:
    console: '%clr( %d{HH:mm:ss}){cyan}  %clr(%m){faint}%n'   

# App Properties
grokonez:
  app:
    jwtSecret: jwtGrokonezSecretKey
    jwtExpiration: 86400
    
management:
  security:
    enabled: false
    

